# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'DelegatePerson'
        db.create_table('concentrator_delegateperson', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('doc_type', self.gf('django.db.models.fields.PositiveSmallIntegerField')()),
            ('delegate', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['children.Delegate'], unique=True, null=True, blank=True)),
        ))
        db.send_create_signal('concentrator', ['DelegatePerson'])


    def backwards(self, orm):
        # Deleting model 'DelegatePerson'
        db.delete_table('concentrator_delegateperson')


    models = {
        'children.delegate': {
            'Meta': {'object_name': 'Delegate', 'db_table': "'delegate'"},
            'date_of_birth': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'dul_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'dul_issued_by': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'dul_number': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_series': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.DULDelegateType']", 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'firstname': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'notification_type': ('django.db.models.fields.SmallIntegerField', [], {'default': '0', 'null': 'True'}),
            'patronymic': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'phone_for_sms': ('django.db.models.fields.CharField', [], {'max_length': '12', 'null': 'True', 'blank': 'True'}),
            'phones': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'snils': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'blank': 'True'}),
            'surname': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True'})
        },
        'concentrator.delegateperson': {
            'Meta': {'object_name': 'DelegatePerson'},
            'delegate': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['children.Delegate']", 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'doc_type': ('django.db.models.fields.PositiveSmallIntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'dict.duldelegatetype': {
            'Meta': {'object_name': 'DULDelegateType', 'db_table': "'dul_delegate_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        }
    }

    complete_apps = ['concentrator']