# coding:utf-8
import datetime
from suds.plugin import MessagePlugin

from m3_legacy import logger


class FixPrefixPlugin(MessagePlugin):
    """
    Плагин - "Экзоскелет". Фиксит немспейсы в сформированном конверте.
    """

    SERVICE_NAME = ''

    def marshalled(self, context):

        message = context.envelope.childrenAtPath(
            'Body/%s/Message' % self.SERVICE_NAME)[0]
        message_data = context.envelope.childrenAtPath(
            'Body/%s/MessageData' % self.SERVICE_NAME)[0]
        sender = context.envelope.childrenAtPath(
            'Body/%s/Message/Sender' % self.SERVICE_NAME)[0]
        ns = sender.namespace()
        message.setPrefix(*ns)
        message_data.setPrefix(*ns)
        app_data = context.envelope.childrenAtPath(
            'Body/%s/MessageData/AppData' % self.SERVICE_NAME)[0]
        for elem in app_data.getChildren():
            elem.setPrefix(None, None)


class FixPrefixPluginUpdateApplicationState(FixPrefixPlugin):

    SERVICE_NAME = 'UpdateApplicationStateRequest'


class FixPrefixPluginLoadData(FixPrefixPlugin):

    SERVICE_NAME = 'LoadDataRequest'


class LogPlugin(MessagePlugin):

    def marshalled(self, context):
        """
        Логируем текст запроса
        """
        logger.info(u'Sending request to concentrator (%s):\n' % (
            datetime.datetime.strftime(datetime.datetime.now(), '%d.%m.%Y')))

        logger.info(unicode(context.envelope))

    def received(self, context):
        """
        Логируем текст ответа
        """
        logger.info(u'Get response from concentrator(%s):\n' % (
            datetime.datetime.strftime(datetime.datetime.now(), '%d.%m.%Y')))
        logger.info(unicode(context.reply))
